package com.ag.log.entity;


import com.ag.base.ISerializable;

import java.util.Date;

public class OperLog implements ISerializable {

  private String id;
  private String mainId;
  private String bizId;
  private String changeKey;
  private String changeVal;
  private String oriSql;
  private String analysis;
  private String cudType;
  private String bizType;
  private String createdBy;
  private Date createdOn;
  private String tenancyId;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getMainId() {
    return mainId;
  }

  public void setMainId(String mainId) {
    this.mainId = mainId;
  }

  public String getBizId() {
    return bizId;
  }

  public void setBizId(String bizId) {
    this.bizId = bizId;
  }

  public String getChangeKey() {
    return changeKey;
  }

  public void setChangeKey(String changeKey) {
    this.changeKey = changeKey;
  }

  public String getChangeVal() {
    return changeVal;
  }

  public void setChangeVal(String changeVal) {
    this.changeVal = changeVal;
  }

  public String getOriSql() {
    return oriSql;
  }

  public void setOriSql(String oriSql) {
    this.oriSql = oriSql;
  }

  public String getAnalysis() {
    return analysis;
  }

  public void setAnalysis(String analysis) {
    this.analysis = analysis;
  }

  public String getCudType() {
    return cudType;
  }

  public void setCudType(String cudType) {
    this.cudType = cudType;
  }

  public String getBizType() {
    return bizType;
  }

  public void setBizType(String bizType) {
    this.bizType = bizType;
  }

  public String getCreatedBy() {
    return createdBy;
  }

  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public Date getCreatedOn() {
    return createdOn;
  }

  public void setCreatedOn(Date createdOn) {
    this.createdOn = createdOn;
  }

  public String getTenancyId() {
    return tenancyId;
  }

  public void setTenancyId(String tenancyId) {
    this.tenancyId = tenancyId;
  }
}
